@if (!loading && !error) {
  <ecl-tabs (tabSelect)="onAssetTabSelect($event)">
    <ecl-tab class="tabs__tab" [isActive]="selectedAssetTab === 0" id="0">
      <ecl-tab-label>{{ 'Procedures' | translate }}</ecl-tab-label>
    </ecl-tab>
    <ecl-tab class="tabs__tab" [isActive]="selectedAssetTab === 1" id="1">
      <ecl-tab-label>{{ 'Procedural Requirements' | translate }}</ecl-tab-label>
    </ecl-tab>
    <ecl-tab class="tabs__tab" [isActive]="selectedAssetTab === 2" id="2">
      <ecl-tab-label>{{ 'Evidences' | translate }}</ecl-tab-label>
    </ecl-tab>
    <ecl-tab class="tabs__tab" [isActive]="selectedAssetTab === 3" id="3">
      <ecl-tab-label>{{ 'Authorities' | translate }}</ecl-tab-label>
    </ecl-tab>
  </ecl-tabs>

  <eui-apex-chart
    [series]="assetChartData.series"
    [chart]="assetChartData.chart"
    [legend]="assetChartData.legend"
    [fill]="assetChartData.fill"
    [xaxis]="assetChartData.xaxis"
    [yaxis]="assetChartData.yaxis"
    [plotOptions]="assetChartData.plotOptions"
    [stroke]="assetChartData.stroke">
  </eui-apex-chart>
}

@if (loading && !error) {
  <div class="spinner-container ecl-u-mv-4xl">
    <ecl-loading-indicator>
      <div eclSpinnerLabel>
        {{ 'common.spinner.label' | translate }}
      </div>
    </ecl-loading-indicator>
  </div>
}

@if (error) {
  <app-message-box title="common.message-box.service-error.title" description="common.message-box.service-error.description" state="error">
  </app-message-box>
}
